package com.sf._05_接口练习.demo1;

public class Test {

    /**
     * 1 创建IUSB 接口 , 在接口当中提供方法usb方法
     * 2 创建Mouse 鼠标类, 鼠标实现IUSB 接口, 并且实现usb 方法   鼠标usb 对接
     * 3 创建建盘Keyboard  , 实现IUSB 接口, 并且实现usb 方法    键盘usb 对接
     *
     * 4 创建test 类, 在test 类当中提供方法  usb(IUSB usb)  分别传入鼠标和键盘
     */
    public static void main(String[] args) {
        usb(new Mouse());
        usb(new Keyboard());
    }

    public static void usb(IUSB iusb){
        iusb.usb();
    }
}
